Dependencies
Update a Dependency
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
id*string
Dependency ID
Format
uuidRequest Body
application/json
color*string
Value in
"Pink" | "Rose" | "Red" | "Amber" | "Orange" | "Green" | "Emerald" | "Teal" | "Cyan" | "Blue" | "Indigo" | "Purple" | "Fuchsia" | "Violet" | "Sky" | "Gray" | "Lime" | "Yellow"dependency_type*string
Value in
"RequestPath" | "HubAndSpoke"edge_style*string
Value in
"Straight" | "SmoothStep" | "Bezier"members*|
Members of this dependency: either service IDs or binding IDs.
name*string
network_id*string
Format
uuidtags*array<string>
description?string|null
source?||||
Will be automatically set to Manual for creation through API
Response Body
application/json
application/json
application/json
curl -X PUT "https://loading/api/v1/dependencies/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "color": "Blue", "created_at": "2026-01-15T10:30:00Z", "dependency_type": "RequestPath", "description": "HTTP/HTTPS services dependency", "edge_style": "Bezier", "id": "550e8400-e29b-41d4-a716-446655440008", "members": { "service_ids": [], "type": "Services" }, "name": "Web Services", "network_id": "550e8400-e29b-41d4-a716-446655440002", "source": { "type": "Manual" }, "tags": [], "updated_at": "2026-01-15T10:30:00Z" }'{
"meta": {
"api_version": 1,
"server_version": "0.16.0"
},
"success": true,
"data": {
"color": "Blue",
"created_at": "2026-01-15T10:30:00Z",
"dependency_type": "RequestPath",
"description": "HTTP/HTTPS services dependency",
"edge_style": "Bezier",
"id": "550e8400-e29b-41d4-a716-446655440008",
"members": {
"service_ids": [],
"type": "Services"
},
"name": "Web Services",
"network_id": "550e8400-e29b-41d4-a716-446655440002",
"source": {
"type": "Manual"
},
"tags": [],
"updated_at": "2026-01-15T10:30:00Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.16.0"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.16.0"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}